Retrieve an Entry
curl --request GET \
--url https://plugin-pix-indirect.api.lerian.net/v1/dict/entries/{entry_id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-Id: <x-account-id>'import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/dict/entries/{entry_id}"
headers = {
"X-Account-Id": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Account-Id': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/dict/entries/{entry_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "019c96a0-0c0c-7221-8cf3-13313fb60081",
"key": "john.doe@example.com",
"keyType": "EMAIL",
"status": "ACTIVE",
"account": {
"branch": "0001",
"number": "123456789",
"participant": "12345678",
"type": "TRAN"
},
"owner": {
"name": "John Doe",
"taxIdNumber": "12345678901",
"type": "NATURAL_PERSON"
},
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}Retrieve an Entry
Use this endpoint to retrieve a Pix entry by its unique identifier.
GET
/
v1
/
dict
/
entries
/
{entry_id}
Retrieve an Entry
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique identifier of the Midaz Ledger Account (UUID format).
Path Parameters
Unique identifier of the Pix entry (UUID format).
Response
Pix entry retrieved successfully.
Unique identifier of the entry (UUID format).
Example:
"019c96a0-0c0c-7221-8cf3-13313fb60081"
Pix key value.
Example:
"john.doe@example.com"
Type of Pix key.
Example:
"EMAIL"
Entry status (ACTIVE, INACTIVE).
Example:
"ACTIVE"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Creation timestamp.
Example:
"2024-01-15T10:30:00Z"
Last update timestamp.
Example:
"2024-01-15T10:30:00Z"
Was this page helpful?
⌘I

